/***************************************************************************
 *   Copyright (C) 2013 by Timothy Pearson                                 *
 *   kb9vqf@pearsoncomputing.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _MULTIMASTERREPLICATIONCONFIGDIALOG_H_
#define _MULTIMASTERREPLICATIONCONFIGDIALOG_H_

#include <kdialogbase.h>

#include "libtdeldap.h"
#include "multimasterreplicationconfigbase.h"

class MultiMasterReplicationConfigDialog : public KDialogBase
{
	Q_OBJECT

public:
	MultiMasterReplicationConfigDialog(LDAPMasterReplicationMapping multimasterreplication, TQString realmName, TQWidget* parent = 0, const char* name = 0);
	LDAPMasterReplicationMapping replicationProperties();

public slots:
	void slotOk();
	void processLockouts();

public:
	LDAPMultiMasterReplicationConfigBase *m_base;
	LDAPMasterReplicationMapping m_replicationProperties;

private:
	TQWidget* m_ldapconfig;
	TQString m_realmName;
};

#endif // _MULTIMASTERREPLICATIONCONFIGDIALOG_H_
